For the complete documentation index, see llms.txt. This page is also available as Markdown.

API - Getting and modifying Lead tags

How to view, remove, and add tags from a Lead.

General Query Params

Key
Description

i

Your instance identifier, subdomain

apitoken

API Token

Getting instance tags

The request was sent using the software Postman. The expected response is a list of objects with the IDs and names of the tags in the instance.

GET /tags?apitoken=seu-token&i=sua-instancia

Full endpoint: https://sprinthub-api-master.sprinthub.app/tags?apitoken=seu-token&i=sua-instancia

Getting instance tags.

Getting the Lead's current tags

The expected response is a list with the tags linked to the Lead and their respective colors.

GET /leads/id-do-lead?query={tags{id,tag,color}}&apitoken=seu-token&i=sua-instancia

Full endpoint: https://sprinthub-api-master.sprinthub.app/leads/id-do-lead?query={tags{id,tag,color}}&apitoken=seu-token&i=sua-instancia

Getting Lead tags

Modifying the Lead's tags

To modify the tags, an overwrite method is used. The tag IDs passed in the request body will replace the lead's current tags. You must pass an object with the key tags which has an array of IDs as its value.

PUT /leads/id-do-lead&apitoken=seu-token&i=sua-instancia

Full endpoint: https://sprinthub-api-master.sprinthub.app/leads/id-do-lead&apitoken=seu-token&i=sua-instancia

Modifying the Lead's tags.

Last updated

Was this helpful?